<h1>WPSSO Google Merchant Feed XML</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Google Merchant Feed XML</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Google Merchant product and inventory feed XML for WooCommerce and custom product pages, including multilingual support.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>9.11.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.4.33 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.9 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>6.7.1</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>9.5.1</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>google shopping, merchant center, woocommerce, wpml, polylang</td></tr>
</table>

<h2>Description</h2>

<!-- about -->

<p><strong>Google Merchant product and inventory feed XML for WooCommerce and custom product pages, including multilingual support.</strong></p>

<p><strong>E-Commerce Plugin Optional:</strong></p>

<p>WooCommerce is suggested but not required - the WPSSO Google Merchant Feed XML add-on can also use product information from custom product pages.</p>

<p><strong>Complete WooCommerce Support:</strong></p>

<p>WooCommerce simple products, product variations, product attributes, product meta data, and custom fields are all fully supported.</p>

<!-- /about -->

<p><strong>Automatic Multilingual Support:</strong></p>

<p>The Google merchant product feed XMLs are automatically created in your site's language(s) from Polylang, qTranslate-XT, WPML, or the installed WordPress languages.</p>

<p>After activating the WPSSO Google Merchant Feed XML add-on, see the SSO &gt; Google Merchant settings page for your feed URLs.</p>

<p><strong>Google Merchant Feed XML Attributes:</strong></p>

<ul>
<li>Additional image link <code>&#91;additional_image_link&#93;</code></li>
<li>Adult oriented <code>&#91;adult&#93;</code></li>
<li>Age group <code>&#91;age_group&#93;</code></li>
<li>Availability <code>&#91;availability&#93;</code></li>
<li>Brand <code>&#91;brand&#93;</code></li>
<li>Condition <code>&#91;condition&#93;</code></li>
<li>Color <code>&#91;color&#93;</code></li>
<li>Description <code>&#91;description&#93;</code></li>
<li>Energy efficiency class <code>&#91;energy_efficiency_class&#93;</code></li>
<li>Gender <code>&#91;gender&#93;</code></li>
<li>Google product category <code>&#91;google_product_category&#93;</code></li>
<li>Google search index <code>&#91;canonical_link&#93;</code></li>
<li>GTIN <code>&#91;gtin&#93;</code> (inluding UPC, EAN, and ISBN)</li>
<li>Image link <code>&#91;image_link&#93;</code></li>
<li>Item group ID <code>&#91;item_group_id&#93;</code></li>
<li>Link <code>&#91;link&#93;</code></li>
<li>Material <code>&#91;material&#93;</code></li>
<li>Maximum energy efficiency class <code>&#91;max_energy_efficiency_class&#93;</code></li>
<li>Minimum energy efficiency class <code>&#91;min_energy_efficiency_class&#93;</code></li>
<li>MPN <code>&#91;mpn&#93;</code></li>
<li>Pattern <code>&#91;pattern&#93;</code></li>
<li>Price <code>&#91;price&#93;</code></li>
<li>Product ID <code>&#91;id&#93;</code></li>
<li>Product length <code>&#91;product_length&#93;</code></li>
<li>Product height <code>&#91;product_height&#93;</code></li>
<li>Product type <code>&#91;product_type&#93;</code></li>
<li>Product weight <code>&#91;product_weight&#93;</code></li>
<li>Product width <code>&#91;product_width&#93;</code></li>
<li>Sale price <code>&#91;sale_price&#93;</code></li>
<li>Sale price effective date <code>&#91;sale_price_effective_date&#93;</code></li>
<li>Shipping <code>&#91;shipping&#93;</code>

<ul>
<li>Country <code>&#91;country&#93;</code></li>
<li>Location group name <code>&#91;location_group_name&#93;</code></li>
<li>Postal code <code>&#91;postal_code&#93;</code></li>
<li>Price <code>&#91;price&#93;</code></li>
<li>Region <code>&#91;region&#93;</code></li>
<li>Service <code>&#91;service&#93;</code></li>
<li><a href="https://wordpress.org/plugins/wpsso-wc-shipping-delivery-time/">WPSSO Shipping Delivery Time for WooCommerce SEO</a> add-on required for handling and transit times:

<ul>
<li>Maximum handling time <code>&#91;max_handling_time&#93;</code></li>
<li>Minimum handling time <code>&#91;min_handling_time&#93;</code></li>
<li>Maximum transit time <code>&#91;max_transit_time&#93;</code></li>
<li>Minimum transit time <code>&#91;min_transit_time&#93;</code></li>
</ul></li>
</ul></li>
<li>Shipping length <code>&#91;shipping_length&#93;</code></li>
<li>Shipping height <code>&#91;shipping_height&#93;</code></li>
<li>Shipping weight <code>&#91;shipping_weight&#93;</code></li>
<li>Shipping width <code>&#91;shipping_width&#93;</code></li>
<li>Size <code>&#91;size&#93;</code></li>
<li>Size system <code>&#91;size_system&#93;</code></li>
<li>Size type <code>&#91;size_type&#93;</code></li>
<li>Title <code>&#91;title&#93;</code></li>
</ul>

<p><strong>Google Merchant Inventory XML Attributes:</strong></p>

<ul>
<li>GTIN <code>&#91;gtin&#93;</code></li>
<li>Merchant ID <code>&#91;target_customer_id&#93;</code></li>
<li>Price <code>&#91;price&#93;</code></li>
<li>Product ID <code>&#91;id&#93;</code></li>
<li>Quantity <code>&#91;quantity&#93;</code></li>
<li>Store code <code>&#91;store_code&#93;</code></li>
<li>Timestamp <code>&#91;timestamp&#93;</code></li>
</ul>

<h3>WPSSO Core Required</h3>

<p>WPSSO Google Merchant Feed XML (WPSSO GMF) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>, which creates extensive and complete structured data to present your content at its best for social sites and search results – no matter how URLs are shared, reshared, messaged, posted, embedded, or crawled.</p>

<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-google-merchant-feed/installation/install-the-plugin/">Install the WPSSO Google Merchant Feed XML add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-google-merchant-feed/installation/uninstall-the-plugin/">Uninstall the WPSSO Google Merchant Feed XML add-on</a>.</li>
</ul>

